/*
 * Page de fonctions JavaScript afférentes aux filtres de chaînes de carractères.
 **/

/*
 * Fonction permettant de filtrer la liste des alias virtuels d'un utilisateur au file des caractères entrés dans le formulaire de création idoine.
 **/
function filtreValeurs() {
	// Déclaration des variables
	var input, filter, divgroupe, divunitaire, a, i, txtValue;
	input = document.getElementById('nom_pour_filtre');
	filter = input.value.toUpperCase();
	divgroupe = document.getElementById("liste_pour_filtre");
	divunitaire = divgroupe.getElementsByClassName('col-md-6');

	// Pour chaque "divunitaire", comparer le contenu (actualisé à chaque frappe) du "<input>" "nom_alias" avec le texte du "<p>" qu'il contient
	// Si le contenu du champ de texte est vide, n'en masquer aucun. Si le motif correspond, masquer les autres
	for (i = 0; i < divunitaire.length; i++) {
		a = divunitaire[i].getElementsByTagName("span")[0];
		txtValue = a.textContent || a.innerText;
		if (txtValue.toUpperCase().indexOf(filter) > -1) {
			divunitaire[i].style.display = "";
		} else {
			divunitaire[i].style.display = "none";
		}
	}
}

/*
 * Fonction permettant de valider (soumettre le formulaire) le choix de l'utilisateur pour en administrer les possessions.
 **/
function autoSoumission() {
	document.getElementById("form_choix_utilisateur").submit();
}
